Subject: bug#39974: Guile fails to build without makeinfo

From: Fabrice Fontaine <[email-masked]>
Date: Sat, 7 Mar 2020 23:07:18 +0100

Hi,

Le sam. 7 mars 2020 à 21:40, Ludovic Courtès <[email-masked]> a écrit :
>
> Hi,
>
> Fabrice Fontaine <[email-masked]> skribis:
>
> >> Fabrice Fontaine <[email-masked]> skribis:
> >>
> >> > guile fails to build without makeinfo:
> >> >
> >> > make[4]: Entering directory
> >> > '/nvmedata/autobuild/instance-7/output-1/build/host-guile-2.0.14/doc/ref'
> >> >   MAKEINFO guile.info
> >> > /nvmedata/autobuild/instance-7/output-1/build/host-guile-2.0.14/build-aux/missing:
> >> > line 81: makeinfo: command not found
> >>
> >> AFAIK, ‘makeinfo’ is needed if and only if one modifies the .texi files,
> >> or perhaps the ‘configure’ file.
> >>
> >> Could it be what happened here?
> > Yes, this build failure is raised by one of our buidlroot autobuilders.
> > We're running autoreconf as we have a patch that updates configure.ac:
>
> OK.  From Guile’s perspective, it’s not a bug that ‘makeinfo’ is needed
> in this case.
OK, then instead of this patch, do you think that adding a
--disable-doc option could be acceptable?
>
> > https://git.buildroot.net/buildroot/tree/package/guile/0002-calculate-csqrt_manually.patch.
> > If your interested in applying this patch upstream, I can send it to
> > the mailing list.
>
> I don’t think we would apply the patch because it’s uClibc-specific,
> AIUI.
>
> However, instead of patching ‘configure.ac’, you can run:
>
>   ./configure guile_cv_use_csqrt=no
>
> to achieve the same effect as the patch.
>
> Let me know if it works for you!
OK, I'll update buildroot with your proposal as we try to avoid
carrying out non-upstreamable patch.
> Thanks,
> Ludo’.
Best Regards,

Fabrice